PhysicalElement (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.PhysicalElement interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface PhysicalElement

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  Board, Card, Chassis, Chip, Fan, Geography, OtherPhysicalPackage, PhysicalComponent, PhysicalConnector, PhysicalFrame, PhysicalLink, PhysicalLocation, PhysicalMedia, PhysicalPackage, PhysicalTape, PowerSupply, Rack, Room, Sensor, SiteInfo, Slot, SystemBusCard, SystemMediaLocation, Zone

    public interface PhysicalElement

extends ManagedSystemElement

Any component of a system tht has a distinct physical identity. For the most part, instances of this class or subclasses thereof can be seen or touched. All processes, files, and logical devices are considered NOT to be physical elements. For example, you cannot touch the capability of a "modem". You can touch the card or physical package that implements the model function. The same card could be used to implement a LAN adapter. Therefore the card is the PhysicalElement.

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD